FREEFOAM-RECONSTRUCTPARMESH(1)

NAME
freefoam-reconstructParMesh - Reconstructs a mesh using geometric information only.

SYNOPSIS

freefoam reconstructParMesh [-region <name>] [-mergeTol <number>] [-fullMatch] [-latestTime] [-noZero] [-srcDoc] [-doc] [-time <time>] [-constant] [-case <dir>] [-help]

DESCRIPTION

Writes point/face/cell procAddressing so afterwards reconstructPar can be used to reconstruct fields.

OPTIONS

-fullMatch
    Check all boundary faces.

-mergeTol <number>
    Relative merge distance.

-region <name>
    Only apply to named mesh region.

-noZero
    Ignore timestep 0.

-constant
    Include the constant directory.

-time <time>
    Apply only to specific time.

-latestTime
    Only apply to latest time step.

-case <dir>
    Case directory.

-help
    Display help message.

-doc
    Display Doxygen API documentation page for this application.

-srcDoc
    Display Doxygen source documentation page for this application.

NOTE

Uses geometric matching tolerance (set with -mergeTol option)

If the parallel case does not have correct procBoundaries use the -fullMatch option which will check all boundary faces (bit slower).

SEE ALSO

An overview of FreeFOAM is given in freefoam(1).

AUTHOR

OpenCFD Ltd.

FREEFOAM

Part of the freefoam(1) suite.

COPYRIGHT

    • Copyright © 2008-2012 Michael Wild.

    • Copyright © 1991-2010 OpenCFD Ltd.